#ifndef RACE_DEPOSITORYNAMES_H
#define RACE_DEPOSITORYNAMES_H

class RACE_DepositoryNames
{
public:
  RACE_DepositoryNames();
  RACE_DepositoryNames(const char *entity_name);
  void initialize(const char *entity_name);
  bool IsInitialized() { return m_basefilename[0]!='\0'; }
  static void init(const char *persistentpath);
  const char *GetBaseFilename() const  { return m_basefilename; }
  const char *GetFilename()     const  { return m_filename; }
  const char *GetIndexname()    const  { return m_indexfilename; }
  const char *GetOldFilename()  const  { return m_oldfilename; }
  const char *GetOldIndexname() const  { return m_oldindexname; }
  const char *GetUncompleteNewFilename() const { return m_uncompletenewfilename; }

  bool ExistsOld();
private:
  char m_basefilename[256];
  char m_filename[256];
  char m_indexfilename[256];
  char m_oldfilename[256];
  char m_oldindexname[256];
  char m_uncompletenewfilename[256];

  static const char *ms_persistentpath;
};

#endif
