#include"RACE_DepotSwitchingStrategy.h"

RACE_DepotLogSwitchingStrategy::RACE_DepotLogSwitchingStrategy(RACE_LogSwitcher *ls)
  :RACE_LogSwitchingStrategy(ls),m_anzsnapshots(0)
{
}

void RACE_DepotLogSwitchingStrategy::InfoSnapshotWritten()
{
  m_anzsnapshots++;
  ms_debug->print("RACE_DepotLogSwitchingStrategy: %d Snapshots now",m_anzsnapshots);
  if(m_anzsnapshots >= 10)
  {
    ms_debug->print("RACE_DepotLogSwitchingStrategy: Triggering Switching ");
    m_anzsnapshots=0;
    mp_LogSwitcher->SwitchLog();
  }
}
