#include"LSFullPageDumpable.h"

LSFullPageDumpable::LSFullPageDumpable(RACE_Data_Block *header,RACE_Data_Block *full):LSDumpable(header)
{
  addblock(full);
  pageheader()->len+=full->size();
  pageheader()->type=LSlayout::full;
  pageheader()->offset_in_page=0;
  pageheader()->len_of_page=full->size();
}

void LSFullPageDumpable::CallVisitor(RACE_MessageVisitor *visitor)
{
  LSDSemantik *lsds = dynamic_cast<LSDSemantik *>(visitor);
  if(lsds!=NULL)
  {
    lsds->LogSegmentFullPageDumpable(this);
  }
}
