#ifndef LSFULLPAGEDUMPABLE_H
#define LSFULLPAGEDUMPABLE_H
#include"LSDumpable.h"

class LSFullPageDumpable : public LSDumpable
{
public:
  LSFullPageDumpable(RACE_Data_Block *header,RACE_Data_Block *full);
  LSFullPageDumpable(RACE_Data_Block *db, RACE_LogfileOffset& lo):
    LSDumpable(db,lo) {}
  virtual void CallVisitor(RACE_MessageVisitor *visitor);
  char *pagebegin() { return pageheader()->page; }
  size_t pagelength()   { return pageheader()->len_of_page; }
};

#endif
