#include"RACE_SemanticFactory.h"
#include"LSLogInterpreter.h"
#include"LSDSemantik.h"

class DummyDumpableVisitor : public RACE_MessageVisitor
{
public:
  virtual const char *name();
};
const char *DummyDumpableVisitor::name()
{
  return "DummyDumpableVisitor";
}

void RACE_Semantik_Factory::init(int& argc,char **&argv)
{

}

RACE::Interpreter *RACE_Semantik_Factory::interpreter()
{
  return (interpreter_ ? interpreter_ : interpreter_=new LSLogInterpreter());
}

RACE_MessageVisitor *RACE_Semantik_Factory::iterationsemantic()
{
  return (iterationsemantic_ ?
          iterationsemantic_
          : iterationsemantic_= new LSDSemantik());
}

RACE_MessageVisitor *RACE_Semantik_Factory::snapshotsemantic()
{
  return (snapshotsemantic_ ?
          snapshotsemantic_
          : snapshotsemantic_= new DummyDumpableVisitor());
}

