#include"RACE_SemanticFactory.h"
#include"LSLogInterpreter.h"
#include"LSDReconstructSemantik.h"

class DummyDumpableVisitor : public RACE_MessageVisitor
{
public:
  virtual const char *name();
};
const char *DummyDumpableVisitor::name()
{
  return "DummyDumpableVisitor";
}

// STATE of the class
// static here because using the same Headerfile
static char *name_;
static char *timestr_;

void RACE_Semantik_Factory::init(int& argc,char **&argv)
{
  name_     = argv[1];
  timestr_  = argv[2];
  // delete argv[2]
  for(int i=3;i<argc;i++)
  {
    argv[i-1]=argv[i];
  }
  argv[argc-1]=0;
  argc--;
}

RACE::Interpreter *RACE_Semantik_Factory::interpreter()
{
  return (interpreter_ ? interpreter_ : interpreter_=new LSLogInterpreter());
}

RACE_MessageVisitor *RACE_Semantik_Factory::iterationsemantic()
{
  if(!iterationsemantic_)
  {
     iterationsemantic_= new LSDReconstructSemantik(name_,0);
  }
  return iterationsemantic_;
}

RACE_MessageVisitor *RACE_Semantik_Factory::snapshotsemantic()
{
  return (snapshotsemantic_ ?
          snapshotsemantic_
          : snapshotsemantic_= new DummyDumpableVisitor());
}

