#ifndef LS_PERSISTENT_LAYOUT_H
#define LS_PERSISTENT_LAYOUT_H
#include<time.h>
#include<sys/types.h>
#include<RACE_LogfileOffset.h>

namespace LSlayout
{
  enum LSDumpabe_t { full=0,diff=1 };
  struct credential_t
  {
    uid_t uid;
    gid_t gid;
  };

  typedef long PageNo_t;
  struct logpageheader
  {
    long  len;
    LSDumpabe_t type;
    PageNo_t pageno;
    time_t timestamp;
    long tan;
    RACE_LogfileOffset last;
    credential_t credentials;
    off_t offset_in_page;  // 0 for full page
    size_t len_of_page;    // 4096 for fullpage
    char page[0];
  };
};
#endif
