#include<assert.h>
#include<unistd.h>
#include<sys/mman.h>
#include<fcntl.h>
#include<stdio.h>
#include"growingmseg.h"
#include<sys/errno.h>

using namespace RAMS;

void Growingmseg::grow_internal(int anzseiten) throw(Error)
{
}

void Growingmseg::grow(int anzseiten) throw (Growingmseg::Error)
{
   char *m;
   int mflags=gmflags;
   int l;
   if(anzseiten < 1) return;
   l=anzseiten*getpagesize();
   if(fd == -1) fd = open("/dev/zero",O_RDONLY);
   if(fd < 0) 
   {
      throw Growingmseg::Error(errno,"open","Kann /dev/zero nicht oeffnen: %m");
   }
   grow_internal(anzseiten);
   if(basis!=NULL) { mflags |= MAP_FIXED; }
      
   m=(char *)mmap(ende,l,PROT_READ|PROT_WRITE,mflags,fd,size_);
   if(m==MAP_FAILED)
   {
      throw Growingmseg::Error(errno,"mmap","Growingmseg::mmap: %m");
   }
   if((mflags&MAP_FIXED) && m!=ende)
   {
     throw Growingmseg::Error(0,"mmap","mapped not as expected");
   }
   if(basis==NULL) { basis=m; }
   ende=m+l;size_+=l;

   RACE_COND_FAIL((char *)basis+size() != (char *)ende,"begin()+size()!=end()");
}

Growingmseg::~Growingmseg()
{
    if(basis!=NULL)
    {
	munmap(basis,size_);
    }
    if(fd!=0) close(fd);
}





