<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>errorclass.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>errorclass_8h.html</filename>
    <class kind="class">Databaseerror</class>
    <class kind="class">Error</class>
    <class kind="class">Syntaxerror</class>
    <class kind="class">Systemerror</class>
  </compound>
  <compound kind="file">
    <name>growingmseg.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>growingmseg_8h.html</filename>
  </compound>
  <compound kind="file">
    <name>growingpersistentmseg.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>growingpersistentmseg_8h.html</filename>
  </compound>
  <compound kind="file">
    <name>mmfile.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>mmfile_8h.html</filename>
  </compound>
  <compound kind="file">
    <name>mseg.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>mseg_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>NULL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>once_alloc.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>once__alloc_8h.html</filename>
  </compound>
  <compound kind="file">
    <name>rpointer.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>rpointer_8h.html</filename>
    <member kind="function">
      <type>long</type>
      <name>align2</name>
      <anchor>a0</anchor>
      <arglist>(long a, long w)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>rppointer.h</name>
    <path>/home/rw/rams/persisto/</path>
    <filename>rppointer_8h.html</filename>
  </compound>
  <compound kind="class">
    <name>Databaseerror</name>
    <filename>classDatabaseerror.html</filename>
    <base>Error</base>
    <member kind="function">
      <type></type>
      <name>Databaseerror</name>
      <anchor>a0</anchor>
      <arglist>(const char *m)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Databaseerror</name>
      <anchor>a1</anchor>
      <arglist>(const char *dbname, long code, const char *m,...)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>code</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Error</name>
    <filename>classError.html</filename>
    <member kind="function">
      <type></type>
      <name>Error</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Error</name>
      <anchor>a1</anchor>
      <arglist>(const char *msg,...)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>what</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>char</type>
      <name>errmsg</name>
      <anchor>n0</anchor>
      <arglist>[128]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syntaxerror</name>
    <filename>classSyntaxerror.html</filename>
    <base>Error</base>
    <member kind="function">
      <type></type>
      <name>Syntaxerror</name>
      <anchor>a0</anchor>
      <arglist>(const char *m,...)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Systemerror</name>
    <filename>classSystemerror.html</filename>
    <base>Error</base>
    <member kind="function">
      <type></type>
      <name>Systemerror</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Systemerror</name>
      <anchor>a1</anchor>
      <arglist>(int err, char *pcall, char *msg,...)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(int err, char *pcall, char *msg, va_list args)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>errornr</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>call</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::Growingmseg</name>
    <filename>classRAMS_1_1Growingmseg.html</filename>
    <base>RAMS::Mseg</base>
    <member kind="function">
      <type></type>
      <name>Growingmseg</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>grow</name>
      <anchor>a1</anchor>
      <arglist>(int anzseiten)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Growingmseg</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>grow_internal</name>
      <anchor>b0</anchor>
      <arglist>(int anzseiten)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>fd</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>gmflags</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::MMFile</name>
    <filename>classRAMS_1_1MMFile.html</filename>
    <base>RAMS::Mseg</base>
    <member kind="function">
      <type></type>
      <name>MMFile</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MMFile</name>
      <anchor>a1</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MMFile</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>fd</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::Mseg</name>
    <filename>classRAMS_1_1Mseg.html</filename>
    <member kind="function">
      <type></type>
      <name>Mseg</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Mseg</name>
      <anchor>a1</anchor>
      <arglist>(char *anfang, size_t lang)</arglist>
    </member>
    <member kind="function">
      <type>const void *</type>
      <name>begin</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const void *</type>
      <name>end</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>length</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setto</name>
      <anchor>b0</anchor>
      <arglist>(char *anfang, size_t lang)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>void *</type>
      <name>basis</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>void *</type>
      <name>ende</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>size_t</type>
      <name>len</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::Oncealloc</name>
    <filename>classRAMS_1_1Oncealloc.html</filename>
    <member kind="function">
      <type></type>
      <name>Oncealloc</name>
      <anchor>a0</anchor>
      <arglist>(int ini=1, long a=4)</arglist>
    </member>
    <member kind="function">
      <type>RcharPointer</type>
      <name>neu</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>RcharPointer</type>
      <name>aktuell</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>RcharPointer</type>
      <name>aktende</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>grow1</name>
      <anchor>a4</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>garant</name>
      <anchor>a5</anchor>
      <arglist>(int l)</arglist>
    </member>
    <member kind="function">
      <type>RcharPointer</type>
      <name>reserve</name>
      <anchor>a6</anchor>
      <arglist>(int l)</arglist>
    </member>
    <member kind="function">
      <type>RcharPointer</type>
      <name>alloc</name>
      <anchor>a7</anchor>
      <arglist>(int l)</arglist>
    </member>
    <member kind="function">
      <type>Mseg *</type>
      <name>getmseg</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>reallength</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>write2file</name>
      <anchor>a10</anchor>
      <arglist>(char *filename)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Growingmseg</type>
      <name>mseg</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>RcharPointer</type>
      <name>akt</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>RcharPointer</type>
      <name>ao</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>long</type>
      <name>align</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::PersistentGrowingMseg</name>
    <filename>classRAMS_1_1PersistentGrowingMseg.html</filename>
    <base>RAMS::Growingmseg</base>
    <member kind="function">
      <type></type>
      <name>PersistentGrowingMseg</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PersistentGrowingMseg</name>
      <anchor>a1</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>grow_internal</name>
      <anchor>b0</anchor>
      <arglist>(int anzseiten)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::RPointer</name>
    <filename>classRAMS_1_1RPointer.html</filename>
    <templarg>T</templarg>
    <templarg>SIZE</templarg>
    <base>RAMS::RPointer_s</base>
    <member kind="function">
      <type></type>
      <name>RPointer</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer</name>
      <anchor>a1</anchor>
      <arglist>(Mseg *s, off_t &amp;o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer</name>
      <anchor>a2</anchor>
      <arglist>(Mseg *s, off_t &amp;o, off_t koff)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer</name>
      <anchor>a3</anchor>
      <arglist>(off_t o, Mseg *s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer</name>
      <anchor>a4</anchor>
      <arglist>(const RPointer_s &amp;a)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer</name>
      <anchor>a5</anchor>
      <arglist>(Mseg *s, T *ap)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer</name>
      <anchor>a6</anchor>
      <arglist>(Mseg *s, off_t &amp;o, T *ap)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>ptr</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator-&gt;</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator *</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>RPointer&lt; T, SIZE &gt; &amp;</type>
      <name>operator=</name>
      <anchor>a10</anchor>
      <arglist>(RPointer&lt; T, SIZE &gt; &amp;anderer)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator+=</name>
      <anchor>a11</anchor>
      <arglist>(off_t dazu)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator-=</name>
      <anchor>a12</anchor>
      <arglist>(off_t dazu)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator=</name>
      <anchor>a13</anchor>
      <arglist>(T *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::RPointer_s</name>
    <filename>classRAMS_1_1RPointer__s.html</filename>
    <member kind="function">
      <type></type>
      <name>RPointer_s</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer_s</name>
      <anchor>a1</anchor>
      <arglist>(Mseg *s, off_t &amp;o)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer_s</name>
      <anchor>a2</anchor>
      <arglist>(Mseg *s, off_t &amp;o, off_t koff)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RPointer_s</name>
      <anchor>a3</anchor>
      <arglist>(off_t koff, Mseg *s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a4</anchor>
      <arglist>(Mseg *s, off_t &amp;o)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a5</anchor>
      <arglist>(off_t koff, Mseg *s)</arglist>
    </member>
    <member kind="function">
      <type>off_t</type>
      <name>offset</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ok</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>operator-</name>
      <anchor>a8</anchor>
      <arglist>(RPointer_s a)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setoff</name>
      <anchor>a9</anchor>
      <arglist>(off_t o)</arglist>
    </member>
    <member kind="function">
      <type>RPointer_s &amp;</type>
      <name>cast</name>
      <anchor>a10</anchor>
      <arglist>(const RPointer_s &amp;anderer)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>operator=</name>
      <anchor>a11</anchor>
      <arglist>(void *p)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a12</anchor>
      <arglist>(const RPointer_s &amp;other) const</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Mseg *</type>
      <name>seg</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>off_t *</type>
      <name>off</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>off_t</type>
      <name>soff</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RAMS::RPPointer_s</name>
    <filename>classRAMS_1_1RPPointer__s.html</filename>
    <member kind="function">
      <type></type>
      <name>RPPointer_s</name>
      <anchor>a0</anchor>
      <arglist>(Mseg *s, off_t &amp;o)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a1</anchor>
      <arglist>(Mseg *s, off_t &amp;o)</arglist>
    </member>
    <member kind="function">
      <type>off_t</type>
      <name>offset</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ok</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>operator-</name>
      <anchor>a4</anchor>
      <arglist>(RPPointer_s a)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setoff</name>
      <anchor>a5</anchor>
      <arglist>(off_t o)</arglist>
    </member>
    <member kind="function">
      <type>RPPointer_s &amp;</type>
      <name>cast</name>
      <anchor>a6</anchor>
      <arglist>(const RPPointer_s &amp;anderer)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>operator=</name>
      <anchor>a7</anchor>
      <arglist>(void *p)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Mseg *</type>
      <name>seg</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>off_t &amp;</type>
      <name>off</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
