#ifndef BITGRABBER_H
#define BITGRABBER_H
#include<RAMS/elementartypes.h>
#include<RAMS/mseg.h>

namespace RAMS
{
  typedef unsigned long bitoff_t;
  class BitGrabber
  {
  private:
      ::RAMS::Mseg &seg_;
  public:
      BitGrabber(RAMS::Mseg &seg):seg_(seg) {}
      u_int32_t getbits(bitoff_t bitoff,size_t len);
      void setbits(bitoff_t bitoff,size_t len,u_int32_t value);
  };
};
#endif
