#ifndef RACE_LOGMSG_BACKEND_H
#define RACE_LOGMSG_BACKEND_H

//##Documentation
//## do the logging 
//## The interpretation with timestamp and so on has to be done in the
//## frontend
//## The specializations are System dependend
class RACE_LogMsg_Backend
{
public:
    static const int MAXPRIO=10;
    RACE_LogMsg_Backend():next_(0),logupto_(MAXPRIO) {}
    virtual void write(int priority,const char *buffer,int len)=0;
    //##Documentation
    //## set maximal priority
    void setLogUpto(int priority);
    virtual ~RACE_LogMsg_Backend();
protected:
    //##Documentation
    //## Simple C-Style list with Backends in the RACE_LogMsg_BackendMgr
    RACE_LogMsg_Backend *next_;
    int logupto_;
    friend class RACE_LogMsg_BackendMgr;
};
#endif
