#ifndef COLLECTORLOGGERSTRATEGY_H
#define COLLECTORLOGGERSTRATEGY_H
#include"Collector.h"
#include<RACE_LoggerStrategy.h>

//##Documentation
//## triggers the periodic checkpoint
class CollectorLoggerStrategy : public RACE_LoggerStrategy
{
public:
  CollectorLoggerStrategy(const char *queuename,Collector *coll)
    :RACE_LoggerStrategy(queuename),collector_(coll)
    {
    }
  virtual void periodic_callback(time_t now);
private:
  Collector *collector_;
};
#endif
