#ifndef GDATCMP_H
#define GDATCMP_H
#include"gdat.h"
#include"string.h"

//##Documentation
//## Compare-Calls for ACE_rbtrees
class GdatCmp
{
public:
  int operator() (const Gdat& lhs,const Gdat& rhs) const
  {
    size_t ll = lhs.get_len();
    size_t rl = rhs.get_len();
    size_t mins = (ll < rl ? ll : rl);
    int ret=memcmp(lhs.get_const_data(),rhs.get_const_data(),mins);
    return (ret < 0 || ret==0 && ll<rl ? 1 : 0);
  }
};
#endif

