
#include"KVReaderSemantik.h"
#include"KVDumpable.h"
#include"KVSnapshotDumpable.h"
#include<iostream>

const char *KVReaderSemantik::name()
{
  return "KVReaderSemantik";
}

void KVReaderSemantik::KeyValue(KVDumpable *kvd)
{
  std::cerr << "KVReaderSemantik::handle KVDumpable at "
            << kvd->GetOffset().part << ':' << kvd->GetOffset().offset
            << std::endl;
  Gdat key,value;
  kvd->GetKey(key);
  kvd->GetValue(value);
  std::cout << key << '\t' << value << std::endl;
}

void KVReaderSemantik::KeyValueSnapshot(KVSnapshotDumpable *kvs)
{
  std::cerr << "KVReaderSemantik::handle KVSnapshotDumpable at "
            << kvs->GetOffset().part << ':' << kvs->GetOffset().offset
            << std::endl;
   for(Logfile::KeyRecord *cur_key = kvs->first_key();
      cur_key!=NULL;cur_key=kvs->next_key())
   {
     Gdat key(cur_key->key,cur_key->keylen);
     std::cout <<  key << '\t'
               << cur_key->offset.part << ':' << cur_key->offset.offset
               << std::endl;
   }
}

