#ifndef KVSNAPSHOTSEMANTIK_H
#define KVSNAPSHOTSEMANTIK_H
#include"KVSemantik.h"
#include"RACE_LogfileReader.h"
#include"RACE_Interpreter.h"
#include<RACE_HighestOffsetCalc.h>

class KVSnapshotSemantik: public KVSemantik
{
 public:
  KVSnapshotSemantik(RACE::LogFileReader *reader,
                     RACE::Interpreter *interpreter,KVSemantik *itersemantik)
    :reader_(reader),interp_(interpreter),itersemantik_(itersemantik) {}
  virtual const char *name();
  virtual void KeyValue(KVDumpable *kvd);
  virtual void KeyValueSnapshot(KVSnapshotDumpable *kvsd);
 private:
  RACE::LogFileReader *reader_;
  RACE::Interpreter *interp_;
  KVSemantik *itersemantik_;
  RACE_HighestOffsetCalc hoc_;
};
#endif

