#include"RACE_SemanticFactory.h"
#include"KVInterpreter.h"
#include"KVReaderSemantik.h"
#include"KVSnapshotSemantik.h"

class DummyDumpableVisitor : public RACE_MessageVisitor
{
public:
  virtual const char *name();
};
const char *DummyDumpableVisitor::name()
{
  return "DummyDumpableVisitor";
}

void RACE_Semantik_Factory::init(int& argc,char **&argv)
{

}

RACE::Interpreter *RACE_Semantik_Factory::interpreter()
{
  return (interpreter_ ? interpreter_ : interpreter_=new KVInterpreter());
}

RACE_MessageVisitor *RACE_Semantik_Factory::iterationsemantic()
{
  return (iterationsemantic_ ?
          iterationsemantic_
          : iterationsemantic_= new KVReaderSemantik());
}

RACE_MessageVisitor *RACE_Semantik_Factory::snapshotsemantic()
{
  return (snapshotsemantic_ ?
          snapshotsemantic_
          : snapshotsemantic_= new KVSnapshotSemantik(reader_,interpreter(),dynamic_cast<KVSemantik *>(iterationsemantic())));
}

