#ifndef RACE_CMDDUMPABLE_H
#define RACE_CMDDUMPABLE_H
#include"RACE_Dumpable.h"
/*---------- Special Dumpables ------------------*/
//##Documentation
//## Dumpable for queuing Commands for the Logger
//## The length of the Dumpable is always zero
//## Concrete Commands Dumpables derive throm this class
class RACE_CmdDumpable: public RACE_Dumpable
{
 public:
  RACE_CmdDumpable():RACE_Dumpable(0) {}
 protected:
  virtual ~RACE_CmdDumpable () {}
};

//##Documentation
//## this Kind of Dumpable is queued if the Logger shall canceled
class RACE_CancelCmdDumpable: public RACE_CmdDumpable
{
 protected:
  virtual ~RACE_CancelCmdDumpable () {}
};

//##Documentation
//## Flush the internal RACE_Accumulator
class RACE_FlushCmdDumpable: public RACE_CmdDumpable
{
 protected:
  virtual ~RACE_FlushCmdDumpable () {}
};
#endif
