#ifndef RACE_LOGFILEBASE_H
#define RACE_LOGFILEBASE_H
#include"RACE_Accumulator.h"
#include"RACE_LogIndexWriter.h"

//##Documentation
//## Common Interface for Logfiles and Despositories
//## Note: it has a RACE_LogIndexWriter since in the case of a Depot
//##       it must be swiched too. The alternative vold be a chain
//##       of notifications of Classes which are informed at logswitching
class RACE_LogfileBase : public RACE_WriterInterface
{
public:
  virtual void Open(const char *rumpfpfad) throw (Systemerror)=0;
  virtual const char *GetBasename() const =0;
  void WriteIndexEntry(long unixtime,RACE_LogfileOffset offset) throw (Systemerror)
  {
    index_.WriteEntry(unixtime,offset);
  }
protected:
  RACE_LogIndexWriter index_;
};
#endif
