#include "RACE_Message_Block.h"
#include <iostream>

int main(int argc, char** argv)
{
  if (argc > 1) {
    if ((argc > 2) || (strcmp (argv[1], "datablocktest") != 0)) {
      std::cerr << "usage: " << argv[0] << " [datablocktest]" << std::endl;
      return -1;
    }
    std::cerr << "sizeof(RACE_Data_Block)=" << sizeof(RACE_Data_Block) << std::endl;
    RACE_Data_Block* rdb=RACE_Data_Block::alloc(4096);
    std::cerr << "maxsize=" << rdb->size() << std::endl;
    return 0;
  }
  RACE_Message_Block *mb = new RACE_Message_Block(4096);
  memset(mb->wr_ptr(),'R',mb->size());
  mb->wr_ptr(mb->size());
  RACE_Message_Block *mb2 = mb->duplicate();
  RACE_Message_Block *mb3 = mb->clone();
  mb->release();
  mb2->release();
  mb3->expand();
  memset(mb3->wr_ptr(),'V',mb3->size());
  mb3->wr_ptr(mb3->size());
  mb3->expand();
  memset(mb3->wr_ptr(),'J',mb3->size());
  mb3->wr_ptr(mb3->size());

  RACE_Message_Block *mb4 = mb3->duplicate();
  RACE_Message_Block *mb5 = mb3->clone();

  for(mb3->begin();!mb3->is_done();mb3->advance())
  {
    write(1,mb3->base(),mb3->length());
  }
  write(1,"\n",1);
  mb3->release();
  mb4->release();
  mb5->release();
  return 0;
}

