define(`STATEMASHINE',`dnl
define(`ASSEMBLERNAME',$1`_Message_Assembler')dnl
define(`STATEINITIALIZASORLIST',`')dnl
`#i'nclude"ASSEMBLERNAME.h"
ifdef(`MESSAGEBLOCKTYPE',`
`#include"'MESSAGEBLOCKTYPE`'.h`"'
')dnl

static envdebug debug("RACE_Message_Assembler");

ASSEMBLERNAME::ASSEMBLERNAME`'(RACE::Message_Observer *processor)
    : RACE::Message_Assembler()
{
    statemashine_=new ASSEMBLERNAME::StateMashine(processor);
    RACE_MEMORY_FAIL(statemashine_==0,__FILE__,__LINE__,__FUNCTION__);
    statemashine_->init();
}
')dnl
define(`STATE',`
define(`STATENAME',$1`')dnl
define(`STATEVAR',$1`'_)dnl
define(`STATEACC',get$1)dnl
define(`STATECLASS',$1`'State)dnl
define(`STATEINITIALIZASORLIST',STATEINITIALIZASORLIST `:'STATEVAR`'(0))dnl

ASSEMBLERNAME::STATECLASS::STATECLASS`'(StateMashine *sm)
    :State(sm,"STATENAME")
{
}

RACE::Message_Assembler::State *ASSEMBLERNAME::StateMashine::STATEACC`'()
{
    if(STATEVAR==0)
    {
	STATEVAR=new STATECLASS`'(this);
	RACE_MEMORY_FAIL(STATEVAR==0,__FILE__,__LINE__,__FUNCTION__);
    }
    return STATEVAR;
}


')dnl
dnl --- ACTIONS ----
define(`INSERT',`*(sm_->currentblock()->wr_ptr(1))=$1;')dnl
define(`INSERTCUR',`INSERT(c)')dnl
define(`ALLOCATEBLOCK',`sm_->allocateMessageBlock();')dnl
define(`SENDBLOCK',`sm_->sendMessageBlock();')dnl
dnl TRANSITION(char,action,state)
define(`TRANSITION',`
divert(2)dnl
   case $1 : { $2 ;} sm_->changeState(ksm->get`'$3`'(),$1); break;
divert(0)dnl
 ')
define(`DEFAULT',`dnl
divert(2)dnl
   default: $1
divert(0)dnl;
')dnl
dnl ONENTER(ACTION)
define(`ONENTER',`dnl
divert(1)dnl
$1
divert(0)dnl
')dnl
dnl LAMDA(ACTION,NEWSTATE)
define(`LAMBDA',`dnl
ONENTER(
    ASSEMBLERNAME::StateMashine *ksm=ACE_dynamic_cast(ASSEMBLERNAME::StateMashine *,sm_);
    RACE_COND_FAIL(ksm==0,"Cant narrow ASSEMBLERNAME::StateMashine\n");
    { $1; }
    sm_->changeState(ksm->get`'$2`'(),c);
   )
')dnl
define(`ENDSTATE',`
void ASSEMBLERNAME::STATECLASS::enter(char c)
{
   debug.print("Enter State STATENAME");
   undivert(1)
}

void ASSEMBLERNAME::STATECLASS::consume(char c)
{
    ASSEMBLERNAME::StateMashine *ksm=ACE_dynamic_cast(ASSEMBLERNAME::StateMashine *,sm_);
    RACE_COND_FAIL(ksm==0,"Cant narrow ASSEMBLERNAME::StateMashine\n");
    debug.print("STATENAME: <- %c",c);
    switch(c)
    {
    undivert(2)
    }
}
')
define(`INITSTATE',`define(INITSTATENAME,$1)dnl
STATE($1)
')dnl
define(`ENDSTATEMASHINE',`
/*---------------- State Mashine----------*/
ASSEMBLERNAME::StateMashine::StateMashine(RACE::Message_Observer *processor)
    : RACE::Message_Assembler::StateMashine()
      translit(STATEINITIALIZASORLIST,`:',`,')
{
    processor_=processor;
}

void
ASSEMBLERNAME::StateMashine::init()
{
ifdef(`INITSTATENAME',`dnl
   /* Init is INITSTATENAME */
   changeState(get`'INITSTATENAME`'(),0);
',`
`#error initial state not defined'
errprint(`initial state is not defined
')dnl
')dnl
}

ifdef(`MESSAGEBLOCKTYPE',`dnl
void ASSEMBLERNAME::StateMashine::allocateMessageBlock()
{
   if(currentblock_==0)
   {	
	currentblock_ = new MESSAGEBLOCKTYPE`'(ifdef(`MESSAGEBLOCK_ALLOC_LEN',MESSAGEBLOCK_ALLOC_LEN,1024));
	RACE_MEMORY_FAIL(currentblock_==0,__FILE__,__LINE__,__FUNCTION__);
   }
}
')dnl   
')dnl