
#include"RACE_WaitingFullBufferHandling.h"
static envdebug *debug = new envdebug("RACE_WaitingFullBufferHandling");
RACE::Index_t RACE::WaitingFullBufferHandling::notifyBufferIsFull() throw (BufferFull)
{
  RACE_GUARD(ACE_Thread_Mutex,guard,mutex_,__FILE__,__LINE__,__FUNCTION__);
  debug->print("RACE::WaitingFullBufferHandling::notifyBufferIsFull(): waiting...");
  bufferfull_.wait();
  return firstfree_;
}

void RACE::WaitingFullBufferHandling::notifyPageGetFree(Index_t freepage)
{
  RACE_GUARD(ACE_Thread_Mutex,guard,mutex_,__FILE__,__LINE__,__FUNCTION__);
  debug->print("notifyPageGetFree(%ld)",freepage);
  if(freepages_==0)
  {
    firstfree_=freepage;
  }
  freepages_++;
  if(freepages_>3)
  {
    debug->print("notifyPageGetFree: signaling ...");
    bufferfull_.signal();
  }
}
