/*************************************************************************
 * testet den peristente Verwendung der reletiven Zeiger                 *
 * (Wenn der relative zeiger ein Proxy für einen Offset im Speicher ist) *
 *************************************************************************/
#include<string.h>
#include<iostream>
#include<RAMS/rpointer.h>

char speicher[4096];
struct Liste
{
  off_t head;
};


int main()
{
  memset(speicher,0,4096);
  RAMS::Mseg seg(speicher,4096);
  Liste *liste = (Liste *)seg.begin();
  RAMS::RPointer_s rpp(&seg,liste->head);

  rpp.setoff(5);
  std::cerr << "Liste->head="  << liste->head << std::endl;
  std::cerr << "rpp.offset()=" << rpp.offset() << std::endl;
  char *ptr = speicher+10;
  rpp=ptr;
  std::cerr << "Liste->head="  << liste->head << std::endl;
  std::cerr << "rpp.offset()=" << rpp.offset() << std::endl;
}

