#ifndef LSEG_H
#define LSEG_H
#include<errorhandling/errorhandling.h>
#include"pmseg.h"
#include"LSpagedescriptor.h"
#include<RACE_Logfile.h>
#include<RACE_Logger.h>

/**
 * Segment with physical Logging
 */
class LSeg : public PMSeg
{
public:
  LSeg():fd_(-1),tan_(0),pagedescriptor_(0),logger_(0) {}
  LSeg::~LSeg();
  void open(const char *name) throw(Systemerror);

  void close();
  void checkpoint();
  void rollback();
  long tan() { return tan_; }
  /// fuer PMseg
  void handle(RAMS::PageNo_t pageno,void *addr);
 private:
  int fd_;
  long tan_;
  LSPagedescriptor *pagedescriptor_;
  RACE_Logger *logger_;
  friend class LSPagedescriptor;
};
#endif
