#include"reliablesegment.h"
#include<iostream>

int main(int argc,char **argv)
{

  if(argc < 3) { std::cerr << "Aufruf: -r[r]|-w dateiname" << std::endl; exit(1); }

  TwinblockStrategy tws;
  ReliableSegment rseg(&tws);
  int r=rseg.open(argv[2]);
  if(strcmp(argv[1],"-w")==0)
  {
    int i=0;
    for(char *p = (char *)(rseg.begin());p< (char *)(rseg.end());p++)
    {
      *p= (char)('A'+ i%26);
      i++;
    }
    rseg.write_page(0);
  }
  else
  {
    if(r==1)
    {
      std::cerr << "Call with -w first ! "
           << "(In applications the initialization could be done here )"
           << std::endl;
      exit(-1);
    }
    if(strcmp(argv[1],"-rr")==0)
    {
      rseg.read_page_reliable(0);
    }
    else
    {
      rseg.read_page_optimistic(0);
    }

    for(char *p = (char *)(rseg.begin());p< (char *)(rseg.begin())+20;p++)
    {
      std::cout << *p;
    }
    std::cout << " ... " << std::endl;

    std::cerr << "Changing byte 5 ..." << std::endl;
    char *ptr =(char *)(rseg.begin())+5;
    *ptr='X';
  }
  rseg.save();
  rseg.close();
}
