#include<assert.h>
#include<unistd.h>
#include<sys/mman.h>
#include<fcntl.h>
#include<stdio.h>
#include<sys/errno.h>
#include<stdlib.h>
#include"once_alloc.h"

using namespace RAMS;

void Oncealloc::write2file(char *filename) throw(Systemerror)
{
    char *rest;
    long rl;
    int n;
    int fd=open(filename,O_TRUNC|O_CREAT|O_WRONLY,0644);
    if(fd<0)
    {
	throw Systemerror(errno,"open","Kann %s nicht schreiben: %m",filename);
	exit(1);
    }
    rest=(char *)(getmseg()->begin());rl=reallength();
    while(rl>0 && (n=write(fd,rest,rl))>0)
    {
	rest+=n;
	rl-=n;
    }
    if(n<0)
    {
	throw Systemerror(errno,"write","write: %m");
	exit(1);
    }
    close(fd);
}
