#include<iostream>
typedef unsigned char octet_t; 
//typedef unsigned long u_int32_t;

inline u_int32_t mask(size_t off,size_t len)
{
    size_t lm = (len < 8-off ? len : 8-off);
    return ((~(~0ul<<len))<<(8-off-lm));
}
inline u_int32_t getbitsimbyte(size_t off,size_t len, octet_t b)
{
    size_t lm = (len < 8-off ? len : 8-off);
    size_t shift=(8-off-lm);
    u_int32_t ret=(b& ((~(~0ul<<len))<<shift));
    return (ret>>shift);
}

void test(int o,int l,octet_t v)
{
   std::cout << "getbits(" << o << "," << l << "," << std::hex
	      << (u_int32_t)v << ")="
	      << getbitsimbyte(o,l,v) << std::endl; 
}

int main()
{
    octet_t vff=~0;
    octet_t ve8=0xe8;
    test(2,3,vff);
    test(2,3,ve8);
    test(2,6,vff);
    test(2,6,ve8);
    test(2,5,vff);
    test(2,5,ve8);
    for(int i=0;i<8;i++)
    {
	test(i,1,ve8);
    }
    for(int i=0;i<8;i++)
    {
	test(i,2,ve8);
    }
}
