#ifndef SEGMENTGRAB_H
#define SEGMENTGRAB_H
#include<RAMS/elementartypes.h>
#include<RAMS/mseg.h>
#include<errorhandling/errorhandling.h>
#include<string.h>

class SegmentGrab
{
private:
    char puffer[(1<<RAMS::LPAGESIZE)<<1]; // 2 pages
    off_t fileoffset_;
    off_t segoffset_;
    RAMS::Mseg seg_;
public:
    SegmentGrab():fileoffset_(0),segoffset_(0)
    {
	::memset(puffer,'\0',((1<<RAMS::LPAGESIZE)<<1));
    }
    void load(const char *filename,off_t off,size_t size) throw (Systemerror,Error);
    void save(const char *filename) throw (Systemerror,Error);
    RAMS::Mseg &seg() { return seg_; }
};

#endif
