#include"RACE_LogMsg_Bsyslog.h"
#include<strings.h>
#include<syslog.h>
#include<errorhandling/errorhandling.h>

RACE_LogMsg_Bsyslog::RACE_LogMsg_Bsyslog(const char *argv0,int facility)
{
    const char *ident=rindex(argv0,'/');
    if(ident==NULL)
    {
	ident=argv0;
    }
    else
    {
	ident++;
    }
    open(ident,LOG_NDELAY|LOG_PID,facility);
}

RACE_LogMsg_Bsyslog::~RACE_LogMsg_Bsyslog()
{
    this->write(LOG_DEBUG,"RACE_LogMsg_Bsyslog::~RACE_LogMsg_Bsyslog()",
		strlen("RACE_LogMsg_Bsyslog::~RACE_LogMsg_Bsyslog()"));
}

void
RACE_LogMsg_Bsyslog::open(const char *ident,int option,int facility)
{
    ::openlog(ident,option,facility);
}

void 
RACE_LogMsg_Bsyslog::write(int priority,const char *buffer,int len)
{
    if(priority<=logupto_)
    {
	RACE_GUARD(ACE_Thread_Mutex,guard,mutex_,__FILE__,__LINE__,__FUNCTION__);
	::syslog(priority,"%*s",len,buffer);
    }
}
